oracle.xml.scalable

## Class BinaryNav

- java.lang.Object
- - oracle.xml.scalable.BinaryNav

    public class BinaryNav
    extends java.lang.Object

### Field Summary

Fields
`static long` `DOC_IDX`
`static long` `NULL_IDX`

### Constructor Summary

Constructors
Constructor and Description
`BinaryNav(BinaryIndex idx)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Clone the BinaryNav.
`int` `currentLevel()`
`boolean` `document()` Go to the document node
`boolean` `firstChild()` Move the cursor to the first child element if any
`java.lang.String` `getAttribute(java.lang.String tag)` Access the attribute with given name for the current element
`java.lang.String` `getAttributeNS(java.lang.String namespace, java.lang.String localpart)` Access the attribute with given name and namespace for the current element
`SAXAttrList` `getAttributes()` Access the attributes for the current element
`BinaryIndex` `getBinaryIndex()` Get the binary index this base on
`long` `getCurrentIndex()` Get the current element's index
`long` `getLocator()`
`java.lang.String` `getNamespace()`
`java.lang.String` `getNodeValue()` Get the string value for the current element
`javax.xml.namespace.QName` `getQName()`
`InfosetReader` `getReader()` Get the inforset reader used in accesing binary data
`java.lang.String` `getTagName()`
`boolean` `lastChild()` Move the cursor to the last child element if any
`boolean` `nextElementByQName(javax.xml.namespace.QName qname)` Move cursor to next element with given QName This will find the next element in document order with the given QName
`boolean` `nextSibling()` Move the cursor to the following sibling element if any
`boolean` `nextSiblingByQName(javax.xml.namespace.QName qname)` Move cursor to next sibling element with given QName
`boolean` `parent()` Move to the parent element if there is one
`boolean` `prevSibling()` Move the cursor to the previous sibling element if any
`boolean` `root()` Go back to the root element
`boolean` `seekToIndex(long idx)` Move the cursor to the given element index

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DOC_IDX

    public static final long DOC_IDX

See Also:
  Constant Field Values

#### NULL_IDX

    public static final long NULL_IDX

See Also:
  Constant Field Values

### Constructor Detail

#### BinaryNav

    public BinaryNav(BinaryIndex idx)

Constructor

Parameters:
  `idx` - - the binary index to create from

### Method Detail

#### clone

    public java.lang.Object clone()

Clone the BinaryNav.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a copy of this BinaryNav instance.

#### getReader

    public InfosetReader getReader()

Get the inforset reader used in accesing binary data

Returns:
  the InfosetReader in use

#### getLocator

    public long getLocator()

#### currentLevel

    public int currentLevel()

#### getQName

    public javax.xml.namespace.QName getQName()

#### getNamespace

    public java.lang.String getNamespace()

#### getTagName

    public java.lang.String getTagName()

#### document

    public boolean document()

Go to the document node

Returns:
  true;

#### root

    public boolean root()

Go back to the root element

Returns:
  true;

#### parent

    public boolean parent()

Move to the parent element if there is one

Returns:
  true if operation is successful, flase otherwise

#### nextSibling

    public boolean nextSibling()

Move the cursor to the following sibling element if any

Returns:
  true if operation is successful, flase otherwise

#### prevSibling

    public boolean prevSibling()

Move the cursor to the previous sibling element if any

Returns:
  true if operation is successful, flase otherwise

#### firstChild

    public boolean firstChild()

Move the cursor to the first child element if any

Returns:
  true if operation is successful, flase otherwise

#### lastChild

    public boolean lastChild()

Move the cursor to the last child element if any

Returns:
  true if operation is successful, flase otherwise

#### getAttributes

    public SAXAttrList getAttributes()

Access the attributes for the current element

Returns:
  SAXAttrList or null

#### getAttribute

    public java.lang.String getAttribute(java.lang.String tag)

Access the attribute with given name for the current element

Returns:
  String value or null

#### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespace,
                                           java.lang.String localpart)

Access the attribute with given name and namespace for the current element

Returns:
  String value or null

#### getNodeValue

    public java.lang.String getNodeValue()

Get the string value for the current element

Returns:
  String value or null

#### nextSiblingByQName

    public boolean nextSiblingByQName(javax.xml.namespace.QName qname)

Move cursor to next sibling element with given QName

Parameters:
  `QName` - - the QName of element to search
Returns:
  true if there is one, false if none

#### nextElementByQName

    public boolean nextElementByQName(javax.xml.namespace.QName qname)

Move cursor to next element with given QName This will find the next element in document order with the given QName

Parameters:
  `QName` - - the QName of element to search
Returns:
  true if there is one, false if none

#### seekToIndex

    public boolean seekToIndex(long idx)

Move the cursor to the given element index

Parameters:
  `idx,` - the element index to go to
Returns:
  true if the operation is successful, false otherwise

#### getCurrentIndex

    public long getCurrentIndex()

Get the current element's index

Returns:
  index in long

#### getBinaryIndex

    public BinaryIndex getBinaryIndex()

Get the binary index this base on

Returns:
  BinaryIndex instance

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.